Subject: Re: libz and RHEL 5.9 compile of Git

From: Torsten Bögershausen <[email-masked]>
Date: Wed, 22 Jan 2014 20:59:12 +0100

On 2014-01-22 16.59, salmansheikh wrote:
> Hello,
> 
> I have a RHEL system that I am not the admin of. I needed to install git and
> got the source. Everything is okay until I got to this point below. I
> downloaded and installed the latest libz (1.2.8) but i installed it under a
> local directory under my user name (i.e. /home/ssheikh/local). The problem
> is that git only looks in the locations below. I even have that directory in
> my $LD_LIBRARY_PATH. So, how can I force make to use that version of libz
> and not the old one that came with this RHEL 5.9 distro?
> 
> [ssheikh@gs-560g3080090e git-1.8.3.4]$ make
>     LINK git-credential-store
> /usr/bin/ld: skipping incompatible /lib/libz.so when searching for -lz
> /usr/bin/ld: skipping incompatible /usr/lib/libz.so when searching for -lz
> /usr/bin/ld: skipping incompatible /usr/lib/libz.a when searching for -lz
> /usr/bin/ld: cannot find -lz
> collect2: ld returned 1 exit status
> make: *** [git-credential-store] Error 1
> 
You need to tell the linker where to search for the library.
Please have a look at the Makefile:

ifdef ZLIB_PATH
	BASIC_CFLAGS += -I$(ZLIB_PATH)/include
	EXTLIBS += -L$(ZLIB_PATH)/$(lib) $(CC_LD_DYNPATH)$(ZLIB_PATH)/$(lib)
endif